Skip to main content

IntegrationTypeResponse

Response schema for IntegrationType

idId (string)required
keyKey (string)required
nameName (string)required
descriptionDescription (string)required
iconIcon (string)required
categoryCategory (string)required
handler_classHandler Class (string)required
validator_class objectrequired
anyOf
string
is_activeIs Active (boolean)required
is_builtinIs Builtin (boolean)required
oauth_enabledOauth Enabled (boolean)required
oauth_config objectrequired
property name*any
documentation_url objectrequired
anyOf
string
created_atstring<date-time>required
updated_atstring<date-time>required
config_fields_countConfig Fields Count (integer)
Default value: 0
IntegrationTypeResponse
{
"id": "string",
"key": "string",
"name": "string",
"description": "string",
"icon": "string",
"category": "string",
"handler_class": "string",
"validator_class": "string",
"is_active": true,
"is_builtin": true,
"oauth_enabled": true,
"oauth_config": {},
"documentation_url": "string",
"created_at": "2024-07-29T15:51:28.071Z",
"updated_at": "2024-07-29T15:51:28.071Z",
"config_fields_count": 0
}